# Administration Reference

## vos partinfo

Purpose

Reports the available and total space on a partition

Synopsis

    vos partinfo -server <machine name>  [-partition <partition name>]
                 [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]  [-help]

    vos p -s <machine name>  [-p <partition name>]  [-c <cell name>]
          [-n]  [-l]  [-v]  [-h]

Description

The vos partinfo command reports the amount of space available and total size on either all of the partitions on the indicated file server machine (if the -partition argument is omitted) or the specified partition on that file server machine. The Volume Location Database (VLDB) is not consulted.

Options

-server
  Identifies the file server machine for which to display partition information. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-partition
  Identifies which partition on the file server machine specified by the -server argument for which to display information. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the introductory reference page for the vos command suite.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Cautions

The partition-related statistics in this command's output do not always agree with the corresponding values in the output of the standard UNIX df command. The statistics reported by this command can be up to five minutes old, because the Cache Manager polls the File Server for partition information at that frequency. Also, on some operating systems, the df command's report of partition size includes reserved space not included in this command's calculation, and so is likely to be about 10% larger.

Output

The output reports the amount of space available and total space for each specified partition.

Examples

The following command displays all partitions on the file server machine fs2.abc.com.

       % vos partinfo fs2.abc.com
       Free space on partition /vicepa: 27301 K blocks out of total 549197
       Free space on partition /vicepb: 13646 K blocks out of total 69194
       Free space on partition /vicepc: 31798 K blocks out of total 320315
       Free space on partition /vicepd: 33302 K blocks out of total 494954

Privilege Required

None

Related Information

vos

vos listpart

© IBM Corporation 2000. All Rights Reserved